Tests for default settings are taking local config files into account
Assignee: Dominic Cleal   
Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/186

  

Description

I have some settings which appear to interfere with unit tests for default settings:

[ 77/218] DnsConfigTest#test_omitted_settings_have_default_values = 0.00 s                        

              

  1) Failure:

test_omitted_settings_have_default_values(DnsConfigTest) [/home/dcleal/code/foreman/smart-proxy/te

st/dns/dns_config_test.rb:7]:

<"nsupdate"> expected but was

<"virsh">.

[158/218] PuppetCAConfigTest#test_omitted_settings_have_default_values = 0.00 s                   

                                   

  2) Failure:

test_omitted_settings_have_default_values(PuppetCAConfigTest) [/home/dcleal/code/foreman/smart-pro

xy/test/puppetca/puppetca_config_test.rb:6]:

<"/var/lib/puppet/ssl"> expected but was

<"/home/dcleal/.puppet/ssl">.

 As you can see, I have these overridden locally:

[dcleal@cobalt smart-proxy]$ grep ssldir config/settings.d/puppetca.yml

:ssldir: /home/dcleal/.puppet/ssl

[dcleal@cobalt smart-proxy]$ grep virsh config/settings.yml

:virsh_network: default

Associated revisions

Revision a52a4f69 - 07/11/2014 12:12 PM - Dominic Cleal

fixes #6588 - don't load user settings when testing default settings

History

#1 - 07/11/2014 12:23 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#2 - 07/11/2014 12:23 PM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/186 added

- Pull request deleted ()

#3 - 07/11/2014 12:28 PM - The Foreman Bot

- Target version set to 1.8.0

#4 - 07/11/2014 12:28 PM - Dominic Cleal
- Assignee set to Dominic Cleal

#5 - 07/11/2014 12:36 PM - Dominic Cleal

- Status changed from Ready For Testing to Assigned

- Target version deleted (1.8.0)

- Pull request  added

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/186)

#6 - 07/11/2014 12:36 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/smart-proxy/pull/186 added

- Pull request deleted ()

#7 - 07/15/2014 04:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a52a4f69a265270ba78ca58437f332ead138520a.
